Results 1 to 2 of 2

Thread: Electrum wallet can't run after pip installation

  1. #1

    Default Electrum wallet can't run after pip installation

    I installed the Bitcoin wallet electrum using official tutorial command

    "sudo pip install https://download.electrum.org/2.6.2/Electrum-2.6.2.tar.gz"

    The installation completed successfully without any error reporting.

    Then when I launch it,

    Code:
    electrum
    Traceback (most recent call last):
      File "/usr/bin/electrum", line 72, in <module>
        check_imports()
      File "/usr/bin/electrum", line 46, in check_imports
        import aes
      File "/usr/lib/python3.4/site-packages/aes.py", line 643
        raise ValueError, emsg % keysize
                        ^
    SyntaxError: invalid syntax
    Any idea?
    openSUSE Leap 15.0

  2. #2

    Default Re: Electrum wallet can't run after pip installation

    Hi! I just had the same issue and I just solved it.
    You have to do

    Code:
    sudo pip uninstall electrum
    and then

    Code:
    sudo pip2 install https://download.electrum.org/2.6.3/Electrum-2.6.3.tar.gz

    as described here

    https://github.com/spesmilo/electrum/issues/1478

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •